Skip to main content
POST
/
v1
/
delegates
/
{delegateToken}
/
revoke
curl -X POST https://api.delegare.dev/v1/delegates/dtok_abc123xyz789/revoke \
  -H "X-Delegare-Merchant-Id: your_merchant_id" \
  -H "X-Delegare-Api-Key: your_api_key"
{
  "success": true,
  "status": "revoked"
}
Revoking a delegate immediately invalidates its token. Any future charge attempts using this token will fail with a 403 Forbidden response.

Headers

X-Delegare-Merchant-Id
string
required
Your merchant identifier.
X-Delegare-Api-Key
string
required
Your merchant API key.

Path Parameters

delegateToken
string
required
The delegateToken to revoke.

Response

success
boolean
Will be true if the delegate was successfully revoked.
status
string
The new status of the delegate, which will be "revoked".
curl -X POST https://api.delegare.dev/v1/delegates/dtok_abc123xyz789/revoke \
  -H "X-Delegare-Merchant-Id: your_merchant_id" \
  -H "X-Delegare-Api-Key: your_api_key"
{
  "success": true,
  "status": "revoked"
}